// JavaScript Document
$(function(){
    //文本框失去焦点后
	$('form :input').blur(function(){
		var $parent = $(this).parent();
		$parent.next("td").find(".formtips").remove();
		//验证表单是否为空
		if( $(this).is('#mustwrite') ){
			if( this.value=="" ){
				var errorMsg = '该栏不允许为空.';
                $parent.next("td").append('<span class="formtips onError">'+errorMsg+'</span>');
			}else{
				var okMsg = '';
				$parent.next("td").append('<span class="formtips onSuccess">'+okMsg+'</span>');
			}
		}
	}).keyup(function(){
		$(this).triggerHandler("blur");
	}).focus(function(){
	  	$(this).triggerHandler("blur");
	});//end blur

		
	//提交，最终验证。
	$('#send').click(function(){
		$("form :input#mustwrite").trigger('blur');
		var numError = $('form .onError').length;
		if(numError){
			return false;
		} 
	});

	//重置
	$('#res').click(function(){
		$(".formtips").remove(); 
	});
})